<?php

namespace Buyesrfolio\Buyer;

use User;

class Buyer
{
    /**
     * $buyer object.
     */
    protected $buyer;

    /**
     * Constructor.
     */
    public function __construct(\Buyesrfolio\Buyer\Interfaces\BuyerRepositoryInterface $buyer)
    {
        $this->buyer = $buyer;
    }

    /**
     * Returns count of buyer.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.buyer.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->buyer->pushCriteria(new \Litepie\Buyesrfolio\Repositories\Criteria\BuyerUserCriteria());
        }

        $buyer = $this->buyer->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('buyer::' . $view, compact('buyer'))->render();
    }
}
